# DataExchange
TKSTEP
GeomToStep

# GeomToStep_MakeSurface Class Reference

This class implements the mapping between classes
Surface from Geom and the class Surface from StepGeom which
describes a Surface from prostep. As Surface is an abstract
Surface this class is an access to the sub-class required.
.

`#include <GeomToStep_MakeSurface.hxx>`

Inheritance diagram for GeomToStep_MakeSurface:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GeomToStep_MakeSurface (const Handle(Geom_Surface)&C)
Standard_EXPORT const Handle_StepGeom_Surface & | Value () const

## Private Attributes

Handle_StepGeom_Surface | theSurface

## Constructor & Destructor Documentation

Standard_EXPORT GeomToStep_MakeSurface::GeomToStep_MakeSurface | ( | const Handle(Geom_Surface)& | C | ) |

## Member Function Documentation

void GeomToStep_MakeSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeSurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from GeomToStep_Root.

Standard_EXPORT const Handle_StepGeom_Surface& GeomToStep_MakeSurface::Value | ( |  | ) | const

## Field Documentation

Handle_StepGeom_Surface GeomToStep_MakeSurface::theSurface `[private]`

The documentation for this class was generated from the following file:

- GeomToStep_MakeSurface.hxx